<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Install_Form_Backup_Restore extends Engine_Form
{
  public function init()
  {
    $this->setTitle('Restore Backup')
      ->setDescription('Are you sure you want to restore this backup? All data on your site created after the backup will be lost.');

//    $this->addElement('Checkbox', 'wipe', array(
//      'label' => 'Delete existing files first?',
//    ));

    $this->addElement('Button', 'execute', array(
      'type' => 'submit',
      'label' => 'Restore Backup',
      'decorators' => array(
        'ViewHelper',
      ),
    ));

    $this->addElement('Cancel', 'cancel', array(
      'link' => true,
      'prependText' => ' or ',
      'label' => 'cancel',
      'href' => Zend_Controller_Front::getInstance()->getRouter()->assemble(array('action' => 'index')),
      'decorators' => array(
        'ViewHelper',
      ),
    ));

    $this->addDisplayGroup(array('execute', 'cancel'), 'buttons');
  }
}
